ドキュメント

Content Delivery Client API


Content Delivery Client API


Content Delivery Client API

Overview

You are currently viewing the Cloud Delivery Client API documentation, intended to be used at runtime by your game client. The Content Delivery Management API is intended to be used by developers at build time for managing content. Cloud Content Delivery (CCD) is a managed cloud service that hosts and delivers content to your application's users worldwide without having to reinstall a new version of the application. The service is fully integrated into the Unity development platform, saving you months of building and maintaining your own similar service. CCD is most valuable for content-rich, live games or applications that require content updates on a regular basis.

Client API Domain

The Client API base domain uses a different domain from the Management API and is in the format:
https://[projectid].client-api.unity3dusercontent.com

Environments

Environments can be created in the Unity Developer Dashboard. A project can exist in several different environments with completely different data sets. Org and User routes are not impacted by environments, but any project or bucket level route is. To find a list of environments for your project and their corresponding IDs visit the Dashboard. If you signed up for UGS Beta, click on Projects. Find your Project and then click on Environments under Project Settings. When environments were introduced all existing data was put into the 'production' environment. If you did not sign up, you can see the environment Id in the LiveOps page. In the Cloud Content Delivery section, click on buckets and you will see the Environment ID in the GUIDS tabs. If you make an API call without an environment ID or environment name you will get data from that default - 'production' - environment.
Routes in the management API take an environment ID. Routes in the client API take an environment name which is then resolved by the API to the proper ID.
All of the old routes without an environment specified have been marked deprecated. They still work and will continue to be supported. We just wanted to make it clear in the documentation which routes you should use going forward.

Authentication

Authentication details depend on whether a bucket is configured as public or private.

Public Buckets

For buckets configured as public, everything in the Client API requires NO AUTHENTICATION. The data served from this API is effectively public.

Private Buckets

For buckets configured as private, everything in the Client API requires a Bucket Access Token that is specific that particular bucket. To manage access tokens, use the Content Delivery Management API or visit the Developer Dashboard. Access tokens can be configured in the dashboard by navigating to the specific bucket and then to the Settings page. To authenticate requests, include a Basic Authentication header as a base64-encoded string
username:password
, using your access token as the password (and empty username). For example, an access token value of
d6d2c026bac44b1ea7ac0332694a830e
would include an Authorization header like:
Authorization: Basic OmQ2ZDJjMDI2YmFjNDRiMWVhN2FjMDMzMjY5NGE4MzBl
Download OpenAPI specification:

Get counts of changes between releases


##Require list-releases permission
Gets the change count between two releases.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

bucketid

string
必須
Bucket ID

Query parameters for "{title}"

fromreleaseid

string
From Release ID, specify 'latest' to use the most recent release. Either fromreleaseid or fromreleasenum can be specified, but not both.

fromreleasenum

integer
From Release Number. To query against an empty bucket you may set fromreleasenum to zero. Either fromreleaseid or fromreleasenum can be specified, but not both.

toreleaseid

string
To Release ID, when not specified the most recent state of the bucket will be used. Either toreleaseid or toreleasenum can be specified, but not both.

toreleasenum

integer
To Release ID, when not specified the most recent state of the bucket will be used. Either toreleaseid or toreleasenum can be specified, but not both.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/buckets/{bucketid}/diff/releases/"

Response example

{ "add": 3, "delete": 1, "last_modified": "2024-01-01T00:00:00Z", "last_modified_by": "string", "last_modified_by_name": "string", "loading": true, "unchanged": 3, "update": 5}

Get changed entries between releases


##Require list-releases permission
Gets the list of changed entries between two releases.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

bucketid

string
必須
Bucket ID

Query parameters for "{title}"

fromreleaseid

string
From Release ID, specify 'latest' to use the most recent release. Either fromreleaseid or fromreleasenum can be specified, but not both.

fromreleasenum

integer
From Release Number. To query against an empty bucket you may set fromreleasenum to zero. Either fromreleaseid or fromreleasenum can be specified, but not both.

toreleaseid

string
To Release ID, when not specified the most recent state of the bucket will be used. Either toreleaseid or toreleasenum can be specified, but not both.

toreleasenum

integer
To Release ID, when not specified the most recent state of the bucket will be used. Either toreleaseid or toreleasenum can be specified, but not both.

page

integer
Current Page

per_page

integer
デフォルト: 10
Items Per Page

path

string
Path

include_states

array
Include change states, one or more can be specified. The default is all states.

content_type

string
content type

label

string
Label

complete

boolean
is content upload completed or not

sort_by

string
Sort By

sort_order

string
Sort Order

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/buckets/{bucketid}/diff/releases/entries/"

Response example

[ { "change_state": "Unchanged", "complete": true, "content_hash": "c76580fa26181bfa8d8952826bd334d5", "content_link": "string", "content_size": 0, "content_type": "image/jpeg", "entryid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "labels": [ "string" ], "last_modified": "2024-01-01T00:00:00Z", "last_modified_by": "string", "last_modified_by_name": "string", "link": "string", "metadata": {}, "path": "ios/character1.bundle", "updated_at": "2024-01-01T00:00:00Z", "versionid": "b9a0657d-b223-4507-9206-ead33ac06c6d" }]

Get entry by id


Gets a single entry by id for a given bucket.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

bucketid

string
必須
Bucket ID

entryid

string
必須
Entry ID

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/buckets/{bucketid}/entries/{entryid}/"

Response example

{ "content_hash": "c76580fa26181bfa8d8952826bd334d5", "content_link": "string", "content_size": 1234567, "content_type": "image/jpeg", "current_versionid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "entryid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "labels": [ "string" ], "last_modified": "2024-01-01T00:00:00Z", "link": "string", "metadata": {}, "path": "ios/character1.bundle", "updated_at": "2024-01-01T00:00:00Z"}

Get content for entry


Gets the content for a given entry.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

bucketid

string
必須
Bucket ID

entryid

string
必須
Entry ID

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/buckets/{bucketid}/entries/{entryid}/content/"

Response example

"string"

Get content status for entry


Gets the status of uploaded content for a given entry.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

bucketid

string
必須
Bucket ID

entryid

string
必須
Entry ID

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X HEAD \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/buckets/{bucketid}/entries/{entryid}/content/"

Response example

{ "code": 0, "details": [ "string" ], "reason": "not found"}

Get entry version


Gets a specific version of an entry.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

bucketid

string
必須
Bucket ID

entryid

string
必須
Entry ID

versionid

string
必須
Version ID

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/buckets/{bucketid}/entries/{entryid}/versions/{versionid}/"

Response example

{ "content_hash": "c76580fa26181bfa8d8952826bd334d5", "content_link": "string", "content_size": 1234567, "content_type": "image/jpeg", "current_versionid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "entryid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "labels": [ "string" ], "last_modified": "2024-01-01T00:00:00Z", "link": "string", "metadata": {}, "path": "ios/character1.bundle", "updated_at": "2024-01-01T00:00:00Z"}

Get content for version of entry


Gets the content for a specific version of an entry.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

bucketid

string
必須
Bucket ID

entryid

string
必須
Entry ID

versionid

string
必須
Version ID

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/buckets/{bucketid}/entries/{entryid}/versions/{versionid}/content/"

Response example

"string"

Get content status for version of entry


Gets the status of uploaded content for a specific version of an entry.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

bucketid

string
必須
Bucket ID

entryid

string
必須
Entry ID

versionid

string
必須
Version ID

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X HEAD \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/buckets/{bucketid}/entries/{entryid}/versions/{versionid}/content/"

Response example

{ "code": 0, "details": [ "string" ], "reason": "not found"}

Get entry by path


Gets a single entry by path for a given bucket.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

bucketid

string
必須
Bucket ID

Query parameters for "{title}"

path

string
必須
Path

versionid

string
Version ID

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/buckets/{bucketid}/entry_by_path/"

Response example

{ "content_hash": "c76580fa26181bfa8d8952826bd334d5", "content_link": "string", "content_size": 1234567, "content_type": "image/jpeg", "current_versionid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "entryid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "labels": [ "string" ], "last_modified": "2024-01-01T00:00:00Z", "link": "string", "metadata": {}, "path": "ios/character1.bundle", "updated_at": "2024-01-01T00:00:00Z"}

Get content by path


Gets the content for an entry by path.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

bucketid

string
必須
Bucket ID

Query parameters for "{title}"

path

string
必須
Path

versionid

string
Version ID

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/buckets/{bucketid}/entry_by_path/content/"

Response example

"string"

Get content status by path


Gets the status of uploaded content by path.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

bucketid

string
必須
Bucket ID

Query parameters for "{title}"

path

string
必須
Path

versionid

string
Version ID

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X HEAD \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/buckets/{bucketid}/entry_by_path/content/"

Response example

{ "code": 0, "details": [ "string" ], "reason": "not found"}

Get badged release


Gets a single badged release for a given bucket.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

bucketid

string
必須
Bucket ID

badgename

string
必須
Badge Name

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/buckets/{bucketid}/release_by_badge/{badgename}/"

Response example

{ "content_hash": "c76580fa26181bfa8d8952826bd334d5", "content_size": 1234567, "created": "2024-01-01T00:00:00Z", "metadata": {}, "releaseid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "releasenum": 0}

Get entry in a badged release


Gets a single entry for a given badged release.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

bucketid

string
必須
Bucket ID

badgename

string
必須
Badge Name

entryid

string
必須
Entry ID

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/buckets/{bucketid}/release_by_badge/{badgename}/entries/{entryid}/"

Response example

{ "content_hash": "c76580fa26181bfa8d8952826bd334d5", "content_link": "string", "content_size": 1234567, "content_type": "image/jpeg", "current_versionid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "entryid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "labels": [ "string" ], "last_modified": "2024-01-01T00:00:00Z", "link": "string", "metadata": {}, "path": "ios/character1.bundle", "updated_at": "2024-01-01T00:00:00Z"}

Get content for entry from a badged release


Gets the content for an entry in a badged release.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

bucketid

string
必須
Bucket ID

badgename

string
必須
Badge Name

entryid

string
必須
Entry ID

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/buckets/{bucketid}/release_by_badge/{badgename}/entries/{entryid}/content/"

Response example

"string"

Get content status of an entry from a badged release


Gets the status of uploaded content for a given entry from a badged release.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

bucketid

string
必須
Bucket ID

badgename

string
必須
Badge Name

entryid

string
必須
Entry ID

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X HEAD \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/buckets/{bucketid}/release_by_badge/{badgename}/entries/{entryid}/content/"

Response example

{ "code": 0, "details": [ "string" ], "reason": "not found"}

Get entry in a badged release by path


Gets a single entry for a given badged release by path.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

bucketid

string
必須
Bucket ID

badgename

string
必須
Badge Name

Query parameters for "{title}"

path

string
必須
Path

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/buckets/{bucketid}/release_by_badge/{badgename}/entry_by_path/"

Response example

{ "content_hash": "c76580fa26181bfa8d8952826bd334d5", "content_link": "string", "content_size": 1234567, "content_type": "image/jpeg", "current_versionid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "entryid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "labels": [ "string" ], "last_modified": "2024-01-01T00:00:00Z", "link": "string", "metadata": {}, "path": "ios/character1.bundle", "updated_at": "2024-01-01T00:00:00Z"}

Get content in badged release by path


Gets the content for an entry in a badged release by path.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

bucketid

string
必須
Bucket ID

badgename

string
必須
Badge Name

Query parameters for "{title}"

path

string
必須
Path

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/buckets/{bucketid}/release_by_badge/{badgename}/entry_by_path/content/"

Response example

"string"

Get content status of an entry by path from a badged release


Gets the status of uploaded content in a badged release by path.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

bucketid

string
必須
Bucket ID

badgename

string
必須
Badge Name

Query parameters for "{title}"

path

string
必須
Path

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X HEAD \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/buckets/{bucketid}/release_by_badge/{badgename}/entry_by_path/content/"

Response example

{ "code": 0, "details": [ "string" ], "reason": "not found"}

Get releases for bucket


##Require list-releases permission
Gets all releases for a given bucket.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

bucketid

string
必須
Bucket ID

Query parameters for "{title}"

page

integer
Current Page

per_page

integer
デフォルト: 10
Items Per Page

releasenum

string
release number

notes

string
Release notes

promoted_from_bucket

string
Bucket where release promoted from.

promoted_from_release

string
Release where release promoted from.

badges

string
Badge names.

sort_by

string
Sort By

sort_order

string
Sort Order

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/buckets/{bucketid}/releases/"

Response example

[ { "badges": [ { "created": "2024-01-01T00:00:00Z", "created_by": "string", "created_by_name": "string", "name": "QATesting", "releaseid": "123e4567-e89b-12d3-a456-426655440000", "releasenum": 0 } ], "changes": { "add": 3, "delete": 1, "last_modified": "2024-01-01T00:00:00Z", "last_modified_by": "string", "last_modified_by_name": "string", "loading": true, "unchanged": 3, "update": 5 }, "content_hash": "c76580fa26181bfa8d8952826bd334d5", "content_size": 1234567, "created": "2024-01-01T00:00:00Z", "created_by": "string", "created_by_name": "string", "entries_link": "string", "metadata": {}, "notes": "string", "promoted_from_bucket": "string", "promoted_from_release": "string", "releaseid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "releasenum": 0 }]

Get release


Gets a single release for a given bucket.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

bucketid

string
必須
Bucket ID

releaseid

string
必須
Release ID

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/buckets/{bucketid}/releases/{releaseid}/"

Response example

{ "content_hash": "c76580fa26181bfa8d8952826bd334d5", "content_size": 1234567, "created": "2024-01-01T00:00:00Z", "metadata": {}, "releaseid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "releasenum": 0}

Get release entries


##Require list-releases permission
Gets all entries for a single release.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

bucketid

string
必須
Bucket ID

releaseid

string
必須
Release ID

Query parameters for "{title}"

label

string
Label

page

integer
Current Page

per_page

integer
デフォルト: 10
Items Per Page

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/buckets/{bucketid}/releases/{releaseid}/entries/"

Response example

[ { "change_state": "Unchanged", "complete": true, "content_hash": "c76580fa26181bfa8d8952826bd334d5", "content_link": "string", "content_size": 0, "content_type": "image/jpeg", "entryid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "labels": [ "string" ], "last_modified": "2024-01-01T00:00:00Z", "last_modified_by": "string", "last_modified_by_name": "string", "link": "string", "metadata": {}, "path": "ios/character1.bundle", "updated_at": "2024-01-01T00:00:00Z", "versionid": "b9a0657d-b223-4507-9206-ead33ac06c6d" }]

Get entry in release


Gets a single entry for a given release.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

bucketid

string
必須
Bucket ID

releaseid

string
必須
Release ID

entryid

string
必須
Entry ID

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/buckets/{bucketid}/releases/{releaseid}/entries/{entryid}/"

Response example

{ "content_hash": "c76580fa26181bfa8d8952826bd334d5", "content_link": "string", "content_size": 1234567, "content_type": "image/jpeg", "current_versionid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "entryid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "labels": [ "string" ], "last_modified": "2024-01-01T00:00:00Z", "link": "string", "metadata": {}, "path": "ios/character1.bundle", "updated_at": "2024-01-01T00:00:00Z"}

Get content for entry


Gets the content for a given entry.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

bucketid

string
必須
Bucket ID

releaseid

string
必須
Release ID

entryid

string
必須
Entry ID

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/buckets/{bucketid}/releases/{releaseid}/entries/{entryid}/content/"

Response example

"string"

Get content status for entry


Gets the status of uploaded content for a given entry.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

bucketid

string
必須
Bucket ID

releaseid

string
必須
Release ID

entryid

string
必須
Entry ID

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X HEAD \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/buckets/{bucketid}/releases/{releaseid}/entries/{entryid}/content/"

Response example

{ "code": 0, "details": [ "string" ], "reason": "not found"}

Get entry in release by path


Gets a single entry for a given release by path.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

bucketid

string
必須
Bucket ID

releaseid

string
必須
Release ID

Query parameters for "{title}"

path

string
必須
Path

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/buckets/{bucketid}/releases/{releaseid}/entry_by_path/"

Response example

{ "content_hash": "c76580fa26181bfa8d8952826bd334d5", "content_link": "string", "content_size": 1234567, "content_type": "image/jpeg", "current_versionid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "entryid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "labels": [ "string" ], "last_modified": "2024-01-01T00:00:00Z", "link": "string", "metadata": {}, "path": "ios/character1.bundle", "updated_at": "2024-01-01T00:00:00Z"}

Get content in release by path


Gets the content for an entry in a release by path.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

bucketid

string
必須
Bucket ID

releaseid

string
必須
Release ID

Query parameters for "{title}"

path

string
必須
Path

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/buckets/{bucketid}/releases/{releaseid}/entry_by_path/content/"

Response example

"string"

Get content status in release by path


Gets the status of uploaded content in a release by path.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

bucketid

string
必須
Bucket ID

releaseid

string
必須
Release ID

Query parameters for "{title}"

path

string
必須
Path

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X HEAD \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/buckets/{bucketid}/releases/{releaseid}/entry_by_path/content/"

Response example

{ "code": 0, "details": [ "string" ], "reason": "not found"}

Get counts of changes between releases


##Require list-releases permission
Gets the change count between two releases.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

environmentname

string
必須
Environment Name

bucketid

string
必須
Bucket ID

Query parameters for "{title}"

fromreleaseid

string
From Release ID, specify 'latest' to use the most recent release. Either fromreleaseid or fromreleasenum can be specified, but not both.

fromreleasenum

integer
From Release Number. To query against an empty bucket you may set fromreleasenum to zero. Either fromreleaseid or fromreleasenum can be specified, but not both.

toreleaseid

string
To Release ID, when not specified the most recent state of the bucket will be used. Either toreleaseid or toreleasenum can be specified, but not both.

toreleasenum

integer
To Release ID, when not specified the most recent state of the bucket will be used. Either toreleaseid or toreleasenum can be specified, but not both.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/environments/{environmentname}/buckets/{bucketid}/diff/releases/"

Response example

{ "add": 3, "delete": 1, "last_modified": "2024-01-01T00:00:00Z", "last_modified_by": "string", "last_modified_by_name": "string", "loading": true, "unchanged": 3, "update": 5}

Get changed entries between releases


##Require list-releases permission
Gets the list of changed entries between two releases.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

environmentname

string
必須
Environment Name

bucketid

string
必須
Bucket ID

Query parameters for "{title}"

fromreleaseid

string
From Release ID, specify 'latest' to use the most recent release. Either fromreleaseid or fromreleasenum can be specified, but not both.

fromreleasenum

integer
From Release Number. To query against an empty bucket you may set fromreleasenum to zero. Either fromreleaseid or fromreleasenum can be specified, but not both.

toreleaseid

string
To Release ID, when not specified the most recent state of the bucket will be used. Either toreleaseid or toreleasenum can be specified, but not both.

toreleasenum

integer
To Release ID, when not specified the most recent state of the bucket will be used. Either toreleaseid or toreleasenum can be specified, but not both.

page

integer
Current Page

per_page

integer
デフォルト: 10
Items Per Page

path

string
Path

include_states

array
Include change states, one or more can be specified. The default is all states.

content_type

string
content type

label

string
Label

complete

boolean
is content upload completed or not

sort_by

string
Sort By

sort_order

string
Sort Order

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/environments/{environmentname}/buckets/{bucketid}/diff/releases/entries/"

Response example

[ { "change_state": "Unchanged", "complete": true, "content_hash": "c76580fa26181bfa8d8952826bd334d5", "content_link": "string", "content_size": 0, "content_type": "image/jpeg", "entryid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "labels": [ "string" ], "last_modified": "2024-01-01T00:00:00Z", "last_modified_by": "string", "last_modified_by_name": "string", "link": "string", "metadata": {}, "path": "ios/character1.bundle", "updated_at": "2024-01-01T00:00:00Z", "versionid": "b9a0657d-b223-4507-9206-ead33ac06c6d" }]

Get entry by id


Gets a single entry by id for a given bucket.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

environmentname

string
必須
Environment Name

bucketid

string
必須
Bucket ID

entryid

string
必須
Entry ID

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/environments/{environmentname}/buckets/{bucketid}/entries/{entryid}/"

Response example

{ "content_hash": "c76580fa26181bfa8d8952826bd334d5", "content_link": "string", "content_size": 1234567, "content_type": "image/jpeg", "current_versionid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "entryid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "labels": [ "string" ], "last_modified": "2024-01-01T00:00:00Z", "link": "string", "metadata": {}, "path": "ios/character1.bundle", "updated_at": "2024-01-01T00:00:00Z"}

Get content for entry


Gets the content for a given entry.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

environmentname

string
必須
Environment Name

bucketid

string
必須
Bucket ID

entryid

string
必須
Entry ID

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/environments/{environmentname}/buckets/{bucketid}/entries/{entryid}/content/"

Response example

"string"

Get content status for entry


Gets the status of uploaded content for a given entry.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

environmentname

string
必須
Environment Name

bucketid

string
必須
Bucket ID

entryid

string
必須
Entry ID

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X HEAD \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/environments/{environmentname}/buckets/{bucketid}/entries/{entryid}/content/"

Response example

{ "code": 0, "details": [ "string" ], "reason": "not found"}

Get entry version


Gets a specific version of an entry.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

environmentname

string
必須
Environment Name

bucketid

string
必須
Bucket ID

entryid

string
必須
Entry ID

versionid

string
必須
Version ID

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/environments/{environmentname}/buckets/{bucketid}/entries/{entryid}/versions/{versionid}/"

Response example

{ "content_hash": "c76580fa26181bfa8d8952826bd334d5", "content_link": "string", "content_size": 1234567, "content_type": "image/jpeg", "current_versionid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "entryid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "labels": [ "string" ], "last_modified": "2024-01-01T00:00:00Z", "link": "string", "metadata": {}, "path": "ios/character1.bundle", "updated_at": "2024-01-01T00:00:00Z"}

Get content for version of entry


Gets the content for a specific version of an entry.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

environmentname

string
必須
Environment Name

bucketid

string
必須
Bucket ID

entryid

string
必須
Entry ID

versionid

string
必須
Version ID

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/environments/{environmentname}/buckets/{bucketid}/entries/{entryid}/versions/{versionid}/content/"

Response example

"string"

Get content status for version of entry


Gets the status of uploaded content for a specific version of an entry.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

environmentname

string
必須
Environment Name

bucketid

string
必須
Bucket ID

entryid

string
必須
Entry ID

versionid

string
必須
Version ID

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X HEAD \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/environments/{environmentname}/buckets/{bucketid}/entries/{entryid}/versions/{versionid}/content/"

Response example

{ "code": 0, "details": [ "string" ], "reason": "not found"}

Get entry by path


Gets a single entry by path for a given bucket.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

environmentname

string
必須
Environment Name

bucketid

string
必須
Bucket ID

Query parameters for "{title}"

path

string
必須
Path

versionid

string
Version ID

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/environments/{environmentname}/buckets/{bucketid}/entry_by_path/"

Response example

{ "content_hash": "c76580fa26181bfa8d8952826bd334d5", "content_link": "string", "content_size": 1234567, "content_type": "image/jpeg", "current_versionid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "entryid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "labels": [ "string" ], "last_modified": "2024-01-01T00:00:00Z", "link": "string", "metadata": {}, "path": "ios/character1.bundle", "updated_at": "2024-01-01T00:00:00Z"}

Get content by path


Gets the content for an entry by path.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

environmentname

string
必須
Environment Name

bucketid

string
必須
Bucket ID

Query parameters for "{title}"

path

string
必須
Path

versionid

string
Version ID

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/environments/{environmentname}/buckets/{bucketid}/entry_by_path/content/"

Response example

"string"

Get content status by path


Gets the status of uploaded content by path.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

environmentname

string
必須
Environment Name

bucketid

string
必須
Bucket ID

Query parameters for "{title}"

path

string
必須
Path

versionid

string
Version ID

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X HEAD \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/environments/{environmentname}/buckets/{bucketid}/entry_by_path/content/"

Response example

{ "code": 0, "details": [ "string" ], "reason": "not found"}

Get badged release


Gets a single badged release for a given bucket.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

environmentname

string
必須
Environment Name

bucketid

string
必須
Bucket ID

badgename

string
必須
Badge Name

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/environments/{environmentname}/buckets/{bucketid}/release_by_badge/{badgename}/"

Response example

{ "content_hash": "c76580fa26181bfa8d8952826bd334d5", "content_size": 1234567, "created": "2024-01-01T00:00:00Z", "metadata": {}, "releaseid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "releasenum": 0}

Get entry in a badged release


Gets a single entry for a given badged release.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

environmentname

string
必須
Environment Name

bucketid

string
必須
Bucket ID

badgename

string
必須
Badge Name

entryid

string
必須
Entry ID

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/environments/{environmentname}/buckets/{bucketid}/release_by_badge/{badgename}/entries/{entryid}/"

Response example

{ "content_hash": "c76580fa26181bfa8d8952826bd334d5", "content_link": "string", "content_size": 1234567, "content_type": "image/jpeg", "current_versionid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "entryid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "labels": [ "string" ], "last_modified": "2024-01-01T00:00:00Z", "link": "string", "metadata": {}, "path": "ios/character1.bundle", "updated_at": "2024-01-01T00:00:00Z"}

Get content for entry from a badged release


Gets the content for an entry in a badged release.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

environmentname

string
必須
Environment Name

bucketid

string
必須
Bucket ID

badgename

string
必須
Badge Name

entryid

string
必須
Entry ID

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/environments/{environmentname}/buckets/{bucketid}/release_by_badge/{badgename}/entries/{entryid}/content/"

Response example

"string"

Get content status of an entry from a badged release


Gets the status of uploaded content for a given entry from a badged release.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

environmentname

string
必須
Environment Name

bucketid

string
必須
Bucket ID

badgename

string
必須
Badge Name

entryid

string
必須
Entry ID

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X HEAD \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/environments/{environmentname}/buckets/{bucketid}/release_by_badge/{badgename}/entries/{entryid}/content/"

Response example

{ "code": 0, "details": [ "string" ], "reason": "not found"}

Get entry in a badged release by path


Gets a single entry for a given badged release by path.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

environmentname

string
必須
Environment Name

bucketid

string
必須
Bucket ID

badgename

string
必須
Badge Name

Query parameters for "{title}"

path

string
必須
Path

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/environments/{environmentname}/buckets/{bucketid}/release_by_badge/{badgename}/entry_by_path/"

Response example

{ "content_hash": "c76580fa26181bfa8d8952826bd334d5", "content_link": "string", "content_size": 1234567, "content_type": "image/jpeg", "current_versionid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "entryid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "labels": [ "string" ], "last_modified": "2024-01-01T00:00:00Z", "link": "string", "metadata": {}, "path": "ios/character1.bundle", "updated_at": "2024-01-01T00:00:00Z"}

Get content in badged release by path


Gets the content for an entry in a badged release by path.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

environmentname

string
必須
Environment Name

bucketid

string
必須
Bucket ID

badgename

string
必須
Badge Name

Query parameters for "{title}"

path

string
必須
Path

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/environments/{environmentname}/buckets/{bucketid}/release_by_badge/{badgename}/entry_by_path/content/"

Response example

"string"

Get content status of an entry by path from a badged release


Gets the status of uploaded content in a badged release by path.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

environmentname

string
必須
Environment Name

bucketid

string
必須
Bucket ID

badgename

string
必須
Badge Name

Query parameters for "{title}"

path

string
必須
Path

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X HEAD \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/environments/{environmentname}/buckets/{bucketid}/release_by_badge/{badgename}/entry_by_path/content/"

Response example

{ "code": 0, "details": [ "string" ], "reason": "not found"}

Get releases for bucket


##Require list-releases permission
Gets all releases for a given bucket.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

environmentname

string
必須
Environment Name

bucketid

string
必須
Bucket ID

Query parameters for "{title}"

page

integer
Current Page

per_page

integer
デフォルト: 10
Items Per Page

releasenum

string
release number

notes

string
Release notes

promoted_from_bucket

string
Bucket where release promoted from.

promoted_from_release

string
Release where release promoted from.

badges

string
Badge names.

sort_by

string
Sort By

sort_order

string
Sort Order

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/environments/{environmentname}/buckets/{bucketid}/releases/"

Response example

[ { "badges": [ { "created": "2024-01-01T00:00:00Z", "created_by": "string", "created_by_name": "string", "name": "QATesting", "releaseid": "123e4567-e89b-12d3-a456-426655440000", "releasenum": 0 } ], "changes": { "add": 3, "delete": 1, "last_modified": "2024-01-01T00:00:00Z", "last_modified_by": "string", "last_modified_by_name": "string", "loading": true, "unchanged": 3, "update": 5 }, "content_hash": "c76580fa26181bfa8d8952826bd334d5", "content_size": 1234567, "created": "2024-01-01T00:00:00Z", "created_by": "string", "created_by_name": "string", "entries_link": "string", "metadata": {}, "notes": "string", "promoted_from_bucket": "string", "promoted_from_release": "string", "releaseid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "releasenum": 0 }]

Get release


Gets a single release for a given bucket.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

environmentname

string
必須
Environment Name

bucketid

string
必須
Bucket ID

releaseid

string
必須
Release ID

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/environments/{environmentname}/buckets/{bucketid}/releases/{releaseid}/"

Response example

{ "content_hash": "c76580fa26181bfa8d8952826bd334d5", "content_size": 1234567, "created": "2024-01-01T00:00:00Z", "metadata": {}, "releaseid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "releasenum": 0}

Get release entries


##Require list-releases permission
Gets all entries for a single release.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

environmentname

string
必須
Environment Name

bucketid

string
必須
Bucket ID

releaseid

string
必須
Release ID

Query parameters for "{title}"

label

string
Label

page

integer
Current Page

per_page

integer
デフォルト: 10
Items Per Page

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/environments/{environmentname}/buckets/{bucketid}/releases/{releaseid}/entries/"

Response example

[ { "change_state": "Unchanged", "complete": true, "content_hash": "c76580fa26181bfa8d8952826bd334d5", "content_link": "string", "content_size": 0, "content_type": "image/jpeg", "entryid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "labels": [ "string" ], "last_modified": "2024-01-01T00:00:00Z", "last_modified_by": "string", "last_modified_by_name": "string", "link": "string", "metadata": {}, "path": "ios/character1.bundle", "updated_at": "2024-01-01T00:00:00Z", "versionid": "b9a0657d-b223-4507-9206-ead33ac06c6d" }]

Get entry in release


Gets a single entry for a given release.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

environmentname

string
必須
Environment Name

bucketid

string
必須
Bucket ID

releaseid

string
必須
Release ID

entryid

string
必須
Entry ID

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/environments/{environmentname}/buckets/{bucketid}/releases/{releaseid}/entries/{entryid}/"

Response example

{ "content_hash": "c76580fa26181bfa8d8952826bd334d5", "content_link": "string", "content_size": 1234567, "content_type": "image/jpeg", "current_versionid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "entryid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "labels": [ "string" ], "last_modified": "2024-01-01T00:00:00Z", "link": "string", "metadata": {}, "path": "ios/character1.bundle", "updated_at": "2024-01-01T00:00:00Z"}

Get content for entry


Gets the content for a given entry.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

environmentname

string
必須
Environment Name

bucketid

string
必須
Bucket ID

releaseid

string
必須
Release ID

entryid

string
必須
Entry ID

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/environments/{environmentname}/buckets/{bucketid}/releases/{releaseid}/entries/{entryid}/content/"

Response example

"string"

Get content status for entry


Gets the status of uploaded content for a given entry.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

environmentname

string
必須
Environment Name

bucketid

string
必須
Bucket ID

releaseid

string
必須
Release ID

entryid

string
必須
Entry ID

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X HEAD \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/environments/{environmentname}/buckets/{bucketid}/releases/{releaseid}/entries/{entryid}/content/"

Response example

{ "code": 0, "details": [ "string" ], "reason": "not found"}

Get entry in release by path


Gets a single entry for a given release by path.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

environmentname

string
必須
Environment Name

bucketid

string
必須
Bucket ID

releaseid

string
必須
Release ID

Query parameters for "{title}"

path

string
必須
Path

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/environments/{environmentname}/buckets/{bucketid}/releases/{releaseid}/entry_by_path/"

Response example

{ "content_hash": "c76580fa26181bfa8d8952826bd334d5", "content_link": "string", "content_size": 1234567, "content_type": "image/jpeg", "current_versionid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "entryid": "b9a0657d-b223-4507-9206-ead33ac06c6d", "labels": [ "string" ], "last_modified": "2024-01-01T00:00:00Z", "link": "string", "metadata": {}, "path": "ios/character1.bundle", "updated_at": "2024-01-01T00:00:00Z"}

Get content in release by path


Gets the content for an entry in a release by path.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

environmentname

string
必須
Environment Name

bucketid

string
必須
Bucket ID

releaseid

string
必須
Release ID

Query parameters for "{title}"

path

string
必須
Path

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/environments/{environmentname}/buckets/{bucketid}/releases/{releaseid}/entry_by_path/content/"

Response example

"string"

Get content status in release by path


Gets the status of uploaded content in a release by path.
Authorizations
BucketAccessToken
HTTP: BucketAccessToken

Path parameters for "{title}"

environmentname

string
必須
Environment Name

bucketid

string
必須
Bucket ID

releaseid

string
必須
Release ID

Query parameters for "{title}"

path

string
必須
Path

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X HEAD \ -H "Authorization: <YOUR_API_KEY>" \ "https://[projectid].client-api.unity3dusercontent.com/client_api/v1/environments/{environmentname}/buckets/{bucketid}/releases/{releaseid}/entry_by_path/content/"

Response example

{ "code": 0, "details": [ "string" ], "reason": "not found"}